/*
//FILENAME:ATMPanel.java
//CLASSES:ATMPanel
//AUTHOR:Donovan Walker
//CLASS:CSE445 Fall 2k Grad Project
*/


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


class ATMPanel extends JPanel
{
	
	
	//CONSTRUCTORS
	
	ATMPanel(ActionListener inListener)
	{
		
		setupLabels();
		setupTextFields();
		setupButtons(inListener);
		setupLayout();
		

	}
	
	
	//METHODS

	private void setupButtons(ActionListener inListener)
	{
		jbSubmit = new JButton("Submit");
		jbSubmit.addActionListener(inListener);
	}
	
	
	private void setupLayout()
	{
		GridBagLayout gridbag = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		

		setLayout(gridbag);

		//For each component to be added to this container:
		//...Create the component...
		//...Set instance variables in the GridBagConstraints instance...
		//Set upper left and right followed by #cels wide #cels high
		
		c.gridx = 0;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 1;
		c.ipadx = 7;
		c.ipady = 7;
		c.weightx = .0;
		c.weighty = .5;
	/*	//gridbag.setConstraints(jlAccountName, c);
		
		c.gridx = 1;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 2;
		//gridbag.setConstraints(jtAccountName, c);
	*/
		c.gridx = 0;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 1;
		gridbag.setConstraints(jlAccountNum, c);
		
		c.gridx = 1;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 2;
		gridbag.setConstraints(jtAccountNum, c);
		
		c.gridx = 0;
		c.gridy = 1;
		c.gridheight = 1;
		c.gridwidth = 1;
		gridbag.setConstraints(jlWdAmount, c);
		
		c.gridx = 1;
		c.gridy = 1;
		c.gridheight = 1;
		c.gridwidth = 2;
		gridbag.setConstraints(jtWdAmount, c);

		c.gridx = 2;
		c.gridy = 2;
		c.gridheight = 1;
		c.gridwidth = 3;		
		c.weighty = 1;
		gridbag.setConstraints(jbSubmit, c);
		
		c.gridx = 0;
		c.gridy = 2;
		c.gridheight = 1;
		c.gridwidth = 2;		
		c.weighty = 1;		
		gridbag.setConstraints(jlStatusLabel, c);

		//add(jlAccountName);
		//add(jtAccountName);
		add(jlAccountNum);
		add(jtAccountNum);
		add(jlWdAmount);
		add(jtWdAmount);
		add(jbSubmit);
		add(jlStatusLabel);
		
	}
	

	private void setupLabels()
	{
		
		//jlAccountName = new JLabel("Account Name:");
		jlAccountNum  = new JLabel("Account Num:");
		jlWdAmount		  = new JLabel("Withdraw Amount:");
		jlStatusLabel = new JLabel(STATUSHEADER);
	}
	
	private void setupTextFields()
	{
		
		jtAccountName = new JTextField(DEFAULTACCNAME, 20);
		jtAccountNum  = new JTextField(DEFAULTACCNUM, 20);
		jtWdAmount		  = new JTextField(DEFAULTWDAMOUNT, 20);		
	
	}

	
	//VARIABLES
	
	private JButton			jbSubmit;
	
	private JLabel			jlAccountNum;
	private JLabel			jlWdAmount;
	public  JLabel 			jlStatusLabel;
	public JTextField		jtAccountName;
	public JTextField  	jtAccountNum;
	public JTextField  	jtWdAmount;
	
	private JTextArea taTextArea;

	
	//CONSTANTS

	private static final String CENTER = "CENTER";
	private static final String EAST  = "EAST";
	private static final String NORTH = "NORTH";
	private static final String SOUTH = "SOUTH";
	private static final String WEST  = "WEST";
	public  static final String DEFAULTACCNAME = "Type Account Name here";
	public  static final String DEFAULTACCNUM = "Type Account # here";
	public  static final String STATUSHEADER  = "Status: ";
	public  static final String DEFAULTWDAMOUNT = "Type WithDraw Amount here";

	
}

