/*
//FILENAME:AccountPanel.java
//CLASSES:AccountPanel
//AUTHOR:Donovan Walker
//CLASS:CSE445 Fall 2K GradProject
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

class AccountPanel extends JPanel
{
		
	//CONSTRUCTORS
	
	AccountPanel(ActionListener inListener)
	{
		//Setuplayout
		//setLayout(new BorderLayout());
		
		setupLabels();
		setupTextFields();
		setupButtons(inListener);
		setupLayout();

		
	}

	
	private void setupButtons(ActionListener inListener)
	{
		jbAddAccount = new JButton("Add");
		jbAddAccount.addActionListener(inListener);
		jbShowAccounts = new JButton("Show Accounts");
		jbShowAccounts.addActionListener(inListener);
	}
	
	
	private void setupLayout()
	{
		GridBagLayout gridbag = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		

		setLayout(gridbag);

		//For each component to be added to this container:
		//...Create the component...
		//...Set instance variables in the GridBagConstraints instance...
		//Set upper left and right followed by #cels wide #cels high
		
		c.gridx = 0;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 1;
		c.ipadx = 7;
		c.ipady = 7;
		c.weightx = .0;
		c.weighty = .5;
		gridbag.setConstraints(jlAccountName, c);
		
		c.gridx = 1;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 2;
		gridbag.setConstraints(jtAccountName, c);
	
		c.gridx = 0;
		c.gridy = 1;
		c.gridheight = 1;
		c.gridwidth = 1;
		gridbag.setConstraints(jlAccountNum, c);
		
		c.gridx = 1;
		c.gridy = 1;
		c.gridheight = 1;
		c.gridwidth = 2;
		gridbag.setConstraints(jtAccountNum, c);
		
		c.gridx = 0;
		c.gridy = 2;
		c.gridheight = 1;
		c.gridwidth = 1;
		gridbag.setConstraints(jlInitBal, c);
		
		c.gridx = 1;
		c.gridy = 2;
		c.gridheight = 1;
		c.gridwidth = 2;
		gridbag.setConstraints(jtInitBal, c);

		c.gridx = 2;
		c.gridy = 3;
		c.gridheight = 1;
		c.gridwidth = 1;		
		c.weighty = 1;
		gridbag.setConstraints(jbAddAccount, c);
		
		c.gridx = 3;
		gridbag.setConstraints(jbShowAccounts, c);
		
		c.gridx = 0;
		c.gridy = 3;
		c.gridheight = 1;
		c.gridwidth = 2;		
		c.weighty = 1;		
		gridbag.setConstraints(jlStatusLabel, c);

		add(jlAccountName);
		add(jtAccountName);
		add(jlAccountNum);
		add(jtAccountNum);
		add(jlInitBal);
		add(jtInitBal);
		add(jbAddAccount);
		add(jbShowAccounts);
		add(jlStatusLabel);
		
	}
	

	private void setupLabels()
	{
		
		jlAccountName = new JLabel("Account Name:");
		jlAccountNum  = new JLabel("Account Num:");
		jlInitBal		  = new JLabel("Initial Balance:");
		jlStatusLabel = new JLabel(STATUS_HEADER);
	}
	
	private void setupTextFields()
	{
		
		jtAccountName = new JTextField("Type Account Name here", 20);
		jtAccountNum  = new JTextField("Type Account # here", 20);
		jtInitBal		  = new JTextField("Type Initial $$ here", 20);		
	
	}
	
	
	//VARIABLES
	
	private JButton			jbAddAccount;
	private JButton 		jbShowAccounts;
	private JLabel			jlAccountName;
	private JLabel			jlAccountNum;
	private JLabel			jlInitBal;
	public  JLabel 			jlStatusLabel;
	public JTextField		jtAccountName;
	public JTextField  	jtAccountNum;
	public JTextField  	jtInitBal;

	//CONSTANTS
	public static String STATUS_HEADER = "Status: ";
		
}


