/*
//FILENAME:AccountsFrame.java
//CLASSES:AccountsFrame
//AUTHOR:Donovan Walker
//CLASS:CSE445 Fall 2K Grad Project
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
 
class AccountsFrame extends JFrame implements ActionListener
{  
	
	//CONSTRUCTORS
	
	public AccountsFrame(AccountListInterface inAccountList, String inBankId)
   {
			setTitle(DEFAULT_FRAME_TITLE + inBankId);
      setSize(600, 600);
			
			aliAccounts = inAccountList;
            
      Container contentPane = getContentPane();

      JPanel panel = new JPanel();
      

			jbRefresh = new JButton(REFRESH);
	    jbClose = new JButton(CLOSE);
			jbRefresh.addActionListener(this);
     	panel.add(jbRefresh);
			panel.add(jbClose);
			
      jbClose.addActionListener(new ActionListener()
         {  public void actionPerformed(ActionEvent evt)
            {  
							hide();
		        }
         });

			textArea = new JTextArea(8, 40);
      scrollPane = new JScrollPane(textArea);

      contentPane.add(panel, "South");
      contentPane.add(scrollPane, "Center");
   }
	
	public void actionPerformed(ActionEvent evt) 
	{
		try
		{
			textArea.setText("");

			saAccountList = aliAccounts.getAccountList();
		
			for(int i = 0; i < saAccountList.length; i++)
			{
				textArea.append(saAccountList[i] + "\n\n");
			}

		}
		
		catch(Exception e)
		{
			textArea.setText("Error:  Unable to communicate with other components");
		}
		
	}
   
 
	public static void main(String[] args)
	{
		JFrame f = new AccountsFrame(null, null);
      f.show();  
		
	}
	
	//VARIABLES
	private  AccountListInterface aliAccounts;
	
	private   JScrollPane scrollPane;
  private   JTextArea   textArea;
  private   JTextField  from, to;
	protected JButton     jbClose;
	protected JButton			jbRefresh;
	private		String[]		saAccountList;	
	
	
	//CONSTANTS
	public static final String CLOSE               = "Close";
	public static final String DEFAULT_FRAME_TITLE = "Current Accounts for ";
	public static final String REFRESH						 = "Refresh List";
}
/*
public class TextEditTest {
   public static void main(String[] args)
   {  JFrame f = new TextEditFrame(null);
      f.show();  
   }
	
	

} */  
