/*
//FILENAME:BankMenuBar.java
//CLASSES:BankMenuBar
//AUTHOR:Donovan Walker
//CLASS:CSE445 Fall 2K GradProject
*/


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

class BankMenuBar extends JMenuBar
{

	BankMenuBar(BankFrame inBankFrame)
	{
		setupMenu1(inBankFrame);
	}
	
	
	private void setupMenu1(BankFrame inBankFrame)
	{
		
		//Create menu elements
		menu1 = new JMenu("Window");
		group = new ButtonGroup();
		bmiATM 			= new JRadioButtonMenuItem("ATM Panel");
		bmiAccMod 	= new JRadioButtonMenuItem("Accounts Panel");
		bmiConnect 	= new JRadioButtonMenuItem("Connect Panel");
		
		//add the listener to the elements
		bmiATM.addActionListener(inBankFrame);
		bmiAccMod.addActionListener(inBankFrame);
		bmiConnect.addActionListener(inBankFrame);
		
		//Set selected items
		if(inBankFrame.isConnected() == true)
		{
			bmiAccMod.setSelected(true);
		}
		else
		{
			bmiConnect.setSelected(true);
		}
		
		//link all the components for display
		group.add(bmiATM);
		group.add(bmiAccMod);
		group.add(bmiConnect);
		menu1.add(bmiATM);
		menu1.add(bmiAccMod);
		menu1.add(bmiConnect);
		this.add(menu1);
	}

	//VARIABLES
	
	private ButtonGroup 					group;
	private JMenu 								menu1;
	private JRadioButtonMenuItem	bmiATM;
	private JRadioButtonMenuItem	bmiAccMod;
	private JRadioButtonMenuItem	bmiConnect;
}

