/*
//FILENAME:ConnectPanel.java
//CLASSES:ConnectPanel
//AUTHOR:Donovan Walker
//CLASS:CSE445 Fall 2K Grad Project
*/


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


class ConnectPanel extends JPanel
{
			
	//CONSTRUCTORS
	
	ConnectPanel(BankFrame inBankFrame)
	{
		//Setup to interact with parent
		bfParent = inBankFrame;
		
		//Setuplayout
		setupLabels();
		setupTextFields();
		setupButtons(inBankFrame);
		setupLayout();
		
	}

	
	private void setupButtons(ActionListener inListener)
	{
		jbConnect = new JButton("Connect");
		jbConnect.addActionListener(inListener);
	}
	
	
	private void setupLayout()
	{
		GridBagLayout gridbag = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		

		setLayout(gridbag);

		//For each component to be added to this container:
		//...Create the component...
		//...Set instance variables in the GridBagConstraints instance...
		//Set upper left and right followed by #cels wide #cels high
		
		c.gridx = 0;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 1;
		c.ipadx = 7;
		c.ipady = 7;
		c.weightx = .0;
		c.weighty = .9;
		gridbag.setConstraints(jlIpAddress, c);
		
		c.gridx = 1;
		c.gridy = 0;
		c.gridheight = 1;
		c.gridwidth = 2;
		gridbag.setConstraints(jtIpAddress, c);
	
		
		c.gridx = 3;
		c.gridy = 3;
		c.gridheight = 1;
		c.gridwidth = 3;		
		c.weighty = 1;
		gridbag.setConstraints(jbConnect, c);
		
		c.gridx = 0;
		c.gridy = 3;
		c.gridheight = 1;
		c.gridwidth = 2;		
		c.weighty = 1;		
		gridbag.setConstraints(jlStatusLabel, c);

		add(jlIpAddress);
		add(jtIpAddress);
		add(jlStatusLabel);
		add(jbConnect);
		
	}
	

	private void setupLabels()
	{
		
		jlIpAddress = new JLabel("Host Name/IP:");
		
		if(bfParent.isConnected())
		{
			jlStatusLabel = new JLabel(STATUS_HEADER + "CONNECTED");
		}
		else
		{
			jlStatusLabel = new JLabel(STATUS_HEADER + "NOT CONNECTED");
		}
		
	}
	
	private void setupTextFields()
	{
		
		jtIpAddress = new JTextField("localhost", 20);
		
		//jtIpAddress.setMinimumSize(new Dimension(200, 12));//set if size is too small
		
	}
	
	
	//VARIABLES
	
	private BankFrame		bfParent;
	private JButton			jbConnect;
	private JLabel			jlIpAddress;
	public  JLabel 			jlStatusLabel;
	public JTextField		jtIpAddress;

	
	//CONSTANTS

	private static final String CENTER 				= "CENTER";
	public  static final String CONNECTED			= "CONNECTED";
	private static final String EAST  				= "EAST";
	private static final String NORTH 				= "NORTH";
	public  static final String NOT_CONNECTED = "NOT CONNECTED";
	private static final String SOUTH 				= "SOUTH";
	public  static final String STATUS_HEADER	= "Status: ";	
	private static final String WEST  				= "WEST";

}



